Teil1=0; //Klemmteil
Teil2=1; //Zahnteil

K8200offset=0.5;	//Wandstärke wird beim Druck soviel dicker

hs	= 2.2; 	//Riemenhöhe (Riemen+Zahn)
ht	= 1.2; 	//Zahnhöhe
t	= 5;	//Zahnteilung (Abstand Zahn-Zahn)
beta= 40; 	//Flankenwinkel
s	= 1.8; 	//Zahnbreite (an der schmalsten Stelle)
b	= 10+1;  //Riemenbreite
n	= 10; 	//Anzahl der Zähne

fb = tan(beta/2) * ht; //Breite der Flanke gegenüber dem Riemen
f = fb * 2 + s; //Zahnbreite am Riemen
hK = 2; //Kante (Rampen sind soviel weniger hoch)


gap = 5.6; //Lücke für Mitnehmerbolzen
rampenlaenge=15;

//Höhen
hBoden				= 2;
hGegenhalter		= 3;

//Wandstärken
wHinterZahn			= 2; 
wGegenhalter		= 3;
wHinterGegenhalter = 2;
echo(f);


//Draw a prism based on a 
//right angled triangle
//l - length of prism
//w - width of triangle
//h - height of triangle
module prism(l, w, h) {
	translate([0, l, 0]) rotate( a= [90, 0, 0]) 
	linear_extrude(height = l) polygon(points = [
		[0, 0],
		[w, 0],
		[0, h]
	], paths=[[0,1,2,0]]);
}
//------------------------------------------------------------------
if (1==Teil1){
	translate([0,0, hBoden*2+b])
	rotate([180,0,0]){
		color("cyan")
			translate([0,ht + wHinterZahn+hs-ht+K8200offset*2, hBoden])
			cube([n*t+t/2, wGegenhalter-K8200offset*2, b ]);
		difference(){
			union(){
				color("blue")
					translate([0,-wHinterGegenhalter, hBoden+b])
					cube([n*t+t/2, ht + wHinterZahn+hs-ht + wGegenhalter+wHinterGegenhalter , hBoden ]);
				color("orange")
					translate([0,-wHinterGegenhalter,hBoden+b-hK, ])
					cube([n*t+t/2, wHinterGegenhalter , hBoden+hK ]);
			}
	
			color("pink")
			translate([(n*t+t/2-gap)/2,-wHinterGegenhalter-1,hBoden+b-hK-1 ])
				cube([gap, wHinterGegenhalter+1 , 10 ]);
		}
	}
}


//------------------------------------------------------------------
if (1==Teil2){
	color("green")
	translate([t/4+t*n/2+gap/2 ,0.1, 0])  //y 0.1: damit keine Lücke durch Rundingsfehler
	rotate([90,0,0])
	prism(b+hBoden-hK, rampenlaenge, 5);
	
	color("orange")
	translate([t/4+t*n/2-gap/2 ,0.1, b+hBoden-hK])
	rotate([90,180,0])
	prism(b+hBoden-hK, rampenlaenge, 5);
	
	
	translate([0 ,0, hBoden])
	rotate([90,0,0])
	color("red")
	translate([s*2 ,0, -(ht + wHinterZahn)])
	difference(){
		translate([-s*2 ,0,0])
		cube([n*t+t/2, b-0.05, ht + wHinterZahn ]);
		
		
		translate([-K8200offset,0,-0.01])
		for ( i = [0 : n-1] ){ 
			translate([-s/2 + i * t,0,0]){
				union(){
					rotate([0, -90, 0]) prism(b, ht+K8200offset/2, fb);
	
					translate([-0.01,0,,0])
					cube([s+0.02+K8200offset, b, ht+K8200offset]);
	
					translate([s+K8200offset,b,0])
					rotate([0, -90, 180]) prism(b, ht+K8200offset/2, fb);
				}
			}
		}
	}
	
	//cube([hBoden ]);
	color("blue")
		cube([n*t+t/2, ht + wHinterZahn+hs-ht + wGegenhalter+K8200offset+wHinterGegenhalter , hBoden ]);
	
	color("cyan")
		translate([0,ht + wHinterZahn+hs-ht + wGegenhalter+K8200offset, 0])
		cube([n*t+t/2, wHinterGegenhalter , hBoden+hGegenhalter ]);
	
}
/*



fnBig=72;
fnSmall=18;

difference(){
cube([x,y,z]);
cylinder(h=, d=,$fn=fnSmall); //

translate([0,0,0])
rotate([])
difference(){
union(){
for ( i = [0 : 2] ){ 
for ( i = [0 : 0.2 : 5] ){
color("orange")
color("cyan")
color("red")
color("blue")
color("green")
color("pink")
*/